<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$formname  = 'Group Master';
$maindb    = 'grpmast';

$printfile = "grpmast_print.php";
$file      = 'grpmast.php';

$grid      = 'grpmain.php';
$keyfld    = "grpcode";

$trandbexist = 0;

$focusfld = "name";
//$printfile = 'grplst.php';

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);

include("includes/vouchno_generate.php");
include("includes/prev&next.php");

if (isset($_POST["submit"])) {
    $a = 1;
    $username = $_SESSION["username_" . $dbname];

    $name = mysqli_real_escape_string($conn, $_POST["name"]);
    $grp = mysqli_real_escape_string($conn, $_POST["group"]);
    $init = $_POST["init"];
    $addinfo = $_POST["addinfo"];

    if ($name == " ") {
        $a = 0;
        browse("Name Cannot Be Empty");
        if ($addflag == 1) {
            header("refresh: 1; $file?mode=true");
        } else {
            header("refresh: 1; $file?vouchno=$_GET[vouchno]");
        }
    }

    if ($a == 1) {
        $result = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `name`= '" . $name . "' AND `grpcode` != '" . $qvouch . "'") or die(mysqli_error($conn));
        if (mysqli_num_rows($result) > 0) {
            $a = 0;
            browse("Name Already Exist");
            if ($addflag == 1) {
                header("refresh: 1; $file?mode=true");
            } else {
                header("refresh: 1; $file?vouchno=$_GET[vouchno]");
            }
        }
    }




    if ($a == 1) {
        if ($addflag == 1) {
            ############Type subtype code############3

            $getdtl = mysqli_query($conn, "SELECT `type`, `subtype`, code FROM `grphead` WHERE code='$grp'")or die(mysqli_error($conn));
            $mvar = mysqli_fetch_object($getdtl);
            $type = $mvar->type;
            $subtype = $mvar->subtype;


            mysqli_query($conn, "INSERT INTO `$maindb`(grpcode, `name`, `headcode`,  `initial`, `add_info`, `type`, `subtype`)
                                        VALUES('$qvouch', '$name','$grp' ,'$init', '$addinfo', '$type', '$subtype')") or die(mysqli_error($conn));
            insmess();
            $mvouch = $qvouch;
//            header("refresh: 1; $file?vouchno=$mvouch");
            header("refresh: 1;$file?mode=last");
        } else {
            $mvouch = $qvouch;
            mysqli_query($conn, "UPDATE `$maindb` SET `name`='$name', `headcode`='$grp' ,`initial`='$init', `add_info`='$addinfo', `type`='$type', `subtype`='$subtype'
                         WHERE $keyfld='$mvouch'") or die(mysqli_error($conn));

            updmess();

//            header("refresh: 1; $file?vouchno=$mvouch");
//            header("refresh: 1; grpmain.php");
        }
    }
}

if ($addflag != 1) {
    $getvouch = '';
    if ($addflag == 0) {
        $getvouch = $_GET[$keyfld];
    } else {
        $getvouch = $qvouch;
    }

    $result = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE $keyfld='$getvouch'")or die(mysqli_error($conn));
    $get = mysqli_fetch_array($result);

    $gethead = mysqli_query($conn, "SELECT * FROM `grphead` WHERE code='$get[headcode]'")or die(mysqli_error($conn));
    $head = mysqli_fetch_array($gethead);
}

/* DELETE */
if (isset($_GET["delete"])) {
    delete($zdb, "$maindb", "$keyfld", $_GET[$keyfld], "$file?mode=last");
}
include("includes/linkshead.php");
?>
</head>
<form action='' method='POST'>
    <!-- Default box -->
    <div class="row">
        <div class="col-lg-6">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><?php Echo $formname; ?></h3>
                    <div class="actions pull-right">
                        <i class="fa fa-chevron-down"></i>
                        <i class="fa fa-times"></i>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right pad">
                            <label class="label-control marg">Name</label>
                        </div>
                        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6 pad"> 
                            <input type="text" size="40" name="name" value="<?php echo ($addflag != 1) ? $get['name'] : ""; ?>" class="form-control form" required />
                        </div> 
                    </div> 
                    <div class="row">
                        <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right pad">
                            <label class="label-control marg">Group</label>
                        </div>
                        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6 pad"> 
                            <select name="group" class="form-control form">
                                <option value="<?php echo ($addflag != 1) ? $head['code'] : ""; ?>"><?php echo ($addflag != 1) ? $head['name'] : ""; ?></option>
                                <?php
                                $getgrp = mysqli_query($conn, "SELECT * from `grphead`")or die(mysqli_error($conn));
                                while ($row = mysqli_fetch_object($getgrp)) {
                                    echo "<option value='$row->code'>$row->name</option>";
                                }
                                ?>
                            </select>
                        </div> 
                    </div> 
                    <div class="row">
                        <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right pad">
                            <label class="label-control marg">Initial</label>
                        </div>
                        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6 pad"> 
                            <input type="text"  maxlength="3" id="code" name="init" value="<?php echo ($addflag != 1) ? $get['initial'] : ""; ?>" class="form-control form" required style="width: 85px;"/>                     
                        </div> 
                    </div> 
                    <div class="row">
                        <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right pad">
                            <label class="label-control marg">Address</label>
                        </div>
                        <div class="col-lg-8 col-md-8 col-sm-8 col-xs-8 pad"> 
                            <select name="addinfo" class="form-control form">
                                <option value=""></option>
                                <option value='Y'<?php
                                    if ($addflag != 1) {
                                        if ($get["add_info"] == "Y") {
                                            echo "selected='selected'";
                                        }
                                    }
                                    ?>>Yes</option>
                                <option value='N'<?php
                                    if ($addflag != 1) {
                                        if ($get["add_info"] == "N") {
                                            echo "selected='selected'";
                                        }
                                    }
                                    ?>>No</option>
                            </select>
                        </div> 
                    </div>
                </div>
                <div class="panel-footer">
                    <?php include("includes/buttons.php"); ?>
                </div>
            </div>
        </div>

        <!-- /box-end -->
</div>
</form>
<!--SEARCH PART-->

<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button class="close" data-dismiss="modal"><span>&times;</span></button>
                <h4 class="modal-title" id="myLargeModalLabel">Search <? Echo $formname; ?></h4>
            </div>
            <div class="modal-body">
                <div class="">
                    <table id="example1" class="table table-striped table-bordered">
                        <thead>
                            <tr style="background-color: #78909C">
                                <th>Name</th>
                                <!--<th style="text-align: center">Group</th>-->
                                <th>Initial</th>
                                <th style="text-align: center">Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            if ($addflag != 1) {
                                $srchresult = mysqli_query($conn, "SELECT * FROM `$maindb`")or die(mysqli_error($conn));
                                while ($row = mysqli_fetch_array($srchresult)) {
                                    $getgroup = mysqli_query($conn, "SELECT * FROM `grphead` WHERE `code`='$row[name]'")or die(mysqli_error($conn));
                                    $sgroup = mysqli_fetch_array($getgroup);
                                    echo "<tr class='clickable-row' data-href='$file?mode=edit&$keyfld=$row[$keyfld]'>";
                                    echo "<td>$row[name]</td>";
//                                    Echo "<td>";
//                                    Echo "<select class='form-control form select2 item' name='item_$ctr' style='width:100%'>";
//                                    Echo "<option value='$sgroup[code]'>$sgroup[name]</option>";
//                                    $fgroup = mysqli_query($conn, 'SELECT * FROM `grphead` order by name')or die(mysqli_error($conn));
//                                    while ($item = mysqli_fetch_array($fgroup)) {
//                                        Echo "<option value='$item[code]'>$item[name]</option>";
//                                    }
//                                    Echo "</select>";
//                                    Echo "</td>";
                                    echo "<td>$row[initial]</td>";
                                    echo "<td align='center'><a href=\"$file?mode=edit&$keyfld=$row[$keyfld]\"><i class='fa fa-pencil' style='font-size:1.3em;color:#00C0EF;cursor:pointer;'></i></a></td>";
                                    echo "</tr>";
                                }
                            }
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="modal-footer"></div>
        </div>
    </div>
</div>
<?php include("includes/linksfoot.php"); ?>
</body>
</html>        
